Bug 1239789 - phonon: FTBFS in rawhide
Summary: phonon: FTBFS in rawhide
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: phonon
Version: 24
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F23FTBFS 1239790
TreeView+ depends on / blocked
 
Reported: 2015-07-05 21:12 UTC by Dennis Gilmore
Modified: 2016-04-22 21:46 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-04-22 21:46:19 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
build.log (214.27 KB, text/plain)
2015-07-05 21:12 UTC, Dennis Gilmore
no flags Details
root.log (104.65 KB, text/plain)
2015-07-05 21:12 UTC, Dennis Gilmore
no flags Details
state.log (617 bytes, text/plain)
2015-07-05 21:12 UTC, Dennis Gilmore
no flags Details

Description Dennis Gilmore 2015-07-05 21:12:23 UTC
Your package phonon failed to build from source in current rawhide.

http://koji.fedoraproject.org/koji/taskinfo?taskID=10136096

For details on mass rebuild see https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

Comment 1 Dennis Gilmore 2015-07-05 21:12:25 UTC
Created attachment 1047682 [details]
build.log

Comment 2 Dennis Gilmore 2015-07-05 21:12:26 UTC
Created attachment 1047683 [details]
root.log

Comment 3 Dennis Gilmore 2015-07-05 21:12:27 UTC
Created attachment 1047684 [details]
state.log

Comment 4 Rex Dieter 2015-07-06 12:59:22 UTC
%changelog
* Mon Jul 06 2015 Rex Dieter <rdieter> 4.8.3-6
- backport upstream fixes, mostly for Qt5-fPIC-related FTBFS (#1239789)

Comment 5 MaxiPunkt 2015-10-30 19:44:39 UTC
Could you please backport this fix to FC22, please?

I'm currenty trying to compile an application using phonon-qt5 which fails with an fPIC-issue on FC22.


Thanks in advance!

Comment 6 Fedora Update System 2015-10-31 14:10:41 UTC
phonon-4.8.3-7.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-ceb53e8625

Comment 7 Fedora Update System 2015-11-02 00:25:04 UTC
phonon-4.8.3-7.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update phonon'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-ceb53e8625

Comment 8 MaxiPunkt 2015-11-03 21:32:28 UTC
Great - this solves my problem mentioned in comment #5

Thank you!

Comment 9 Fedora Update System 2015-11-19 12:23:33 UTC
phonon-4.8.3-7.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Jan Kurik 2016-02-24 13:25:22 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase


Note You need to log in before you can comment on or make changes to this bug.